> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hackgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apisites blocklist



## OpenAPI

````yaml https://api-admin.hackgate.io/swagger/v2/swagger.json get /api/Sites/{id}/blocklist
openapi: 3.0.1
info:
  title: HackGATE Admin API
  description: API for the HackGATE Admin Center and organization API key integrations.
  version: v2
servers: []
security:
  - Bearer: []
paths:
  /api/Sites/{id}/blocklist:
    get:
      tags:
        - Sites
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/BlockListUpdateDto'
            application/json:
              schema:
                $ref: '#/components/schemas/BlockListUpdateDto'
            text/json:
              schema:
                $ref: '#/components/schemas/BlockListUpdateDto'
components:
  schemas:
    BlockListUpdateDto:
      type: object
      properties:
        siteId:
          type: string
          nullable: true
        blockListJson:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: >-
        Authorization header using the Bearer scheme. Use either a Clerk JWT
        from the Admin Center frontend or a Clerk Organization API key.


        Examples:

        Bearer eyJhbGciOi...

        Bearer ak_live_...
      scheme: bearer
      bearerFormat: JWT or Clerk API Key

````